[arch-commits] Commit in ffmpeg/trunk (PKGBUILD)

Ionut Biru ibiru at archlinux.org
Sun Jan 10 08:56:04 EST 2010


    Date: Sunday, January 10, 2010 @ 08:56:03
  Author: ibiru
Revision: 62594

upgpkg: ffmpeg 20100108-1
    update to 20100108 svn snapshot, added opencore-amr and alsa-lib dependency and fixes FS#15744 and FS#14991

Modified:
  ffmpeg/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-10 13:35:47 UTC (rev 62593)
+++ PKGBUILD	2010-01-10 13:56:03 UTC (rev 62594)
@@ -3,21 +3,22 @@
 # Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=ffmpeg
-pkgver=0.5
+pkgver=20100108
 pkgrel=1
 pkgdesc="Complete and free Internet live audio and video broadcasting solution for Linux/Unix"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://ffmpeg.mplayerhq.hu/"
 license=('GPL')
-depends=('lame' 'sdl' 'libvorbis' 'faad2>=2.7' 'faac' 'xvidcore' 'zlib' 'imlib2' 'x264>=20090416' 'libtheora')
+depends=('lame' 'sdl' 'libvorbis' 'faad2>=2.7' 'faac' 'xvidcore' 'zlib' 'imlib2' 'x264>=20100107' 'libtheora' 'opencore-amr>=0.1.2' 'alsa-lib')
 options=('force')
-#remake snapshot with: svn export svn://svn.mplayerhq.hu/ffmpeg/trunk@14236
-#source=(ftp://ftp.archlinux.org/other/ffmpeg/ffmpeg-${pkgver}-17395.tar.bz2)
-source=(http://ffmpeg.mplayerhq.hu/releases/ffmpeg-${pkgver}.tar.bz2)
-md5sums=('be8503f15c3b81ba00eb8379ca8dcf33')
+#remake snapshot with: svn export svn://svn.ffmpeg.org/ffmpeg/trunk/@21104
+source=(ftp://ftp.archlinux.org/other/ffmpeg/ffmpeg-${pkgver}-21104.tar.bz2)
+#source=(http://ffmpeg.org/releases//releases/ffmpeg-${pkgver}.tar.bz2)
+md5sums=('1b90259dc8cb08ce64c37f650ba715a0')
 
 build() {
-  cd "$srcdir/$pkgname-$pkgver" || return 1
+  cd "$srcdir/$pkgname" || return 1
+  export CFLAGS="$CFLAGS -fno-strict-aliasing"
 
   ./configure \
   --prefix=/usr \
@@ -33,8 +34,10 @@
   --enable-shared \
   --enable-pthreads \
   --enable-x11grab \
-  --enable-swscale \
-  || return 1
+  --enable-libopencore_amrnb \
+  --enable-libopencore_amrwb \
+  --enable-version3 \
+  --enable-nonfree || return 1 # libfaac is nonfree
 
   make || return 1
   make tools/qt-faststart || return 1



More information about the arch-commits mailing list